> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pay Group



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/payrolls/pay-groups/{pay_group_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls/pay-groups/{pay_group_id}:
    get:
      tags:
        - Core
        - Payrolls
      summary: Get Pay Group
      operationId: >-
        get_pay_group_organizations__organization_id__payrolls_pay_groups__pay_group_id__get
      parameters:
        - name: pay_group_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Pay Group Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayGroupDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PayGroupDetail:
      properties:
        name:
          type: string
          title: Name
        period_type:
          type: string
          enum:
            - WEEK
            - MONTH
          title: Period Type
        payroll_mode:
          $ref: '#/components/schemas/PayrollMode'
          default: positive_pay
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        employees:
          items:
            $ref: '#/components/schemas/PayGroupEmployeeSummary'
          type: array
          title: Employees
      additionalProperties: true
      type: object
      required:
        - name
        - period_type
        - id
        - created_at
        - employees
      title: PayGroupDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrollMode:
      type: string
      enum:
        - positive_pay
        - net_change
      title: PayrollMode
    PayGroupEmployeeSummary:
      properties:
        id:
          type: string
          title: Id
        external_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: External Ref
        work_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Email
        start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start Date
        end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End Date
      additionalProperties: true
      type: object
      required:
        - id
      title: PayGroupEmployeeSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````